| Kea 3.0.2-git

io_service.h File Reference
`#include <boost/version.hpp>`
`#include <boost/shared_ptr.hpp>`
`#include <functional>`
`#include <list>`
`#include <boost/asio/io_context.hpp>`
Include dependency graph for io_service.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::asiolink::IOService
| The IOService class is a wrapper for the ASIO `io_context` class. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::asiolink

## Typedefs
typedef boost::shared_ptr< IOService > | isc::asiolink::IOServicePtr
| Defines a smart pointer to an IOService instance.